<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "tracking_activity_parameter".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "TrackingActivityParameter".
 *
 * Columns in table "tracking_activity_parameter" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property integer $tracking_activity_id
 * @property string $name
 * @property string $value
 *
 */
abstract class BaseTrackingActivityParameter extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'tracking_activity_parameter';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'TrackingActivityParameter|TrackingActivityParameters', $n);
    }

    public static function representingColumn()
    {
        return 'name';
    }

    public function rules()
    {
        return array(
            array('tracking_activity_id, name, value', 'required'),
            array('tracking_activity_id', 'numerical', 'integerOnly' => true),
            array('name', 'length', 'max' => 45),
            array('value', 'length', 'max' => 255),
            array('id, tracking_activity_id, name, value', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'tracking_activity_id' => Yii::t('app', 'Tracking Activity'),
            'name' => Yii::t('app', 'Name'),
            'value' => Yii::t('app', 'Value'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('tracking_activity_id', $this->tracking_activity_id);
        $criteria->compare('name', $this->name, true);
        $criteria->compare('value', $this->value, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
